Page MenuHomePhabricator

site_detect_tests.APIHiddenTestCase.test_ecoreality unexpectedly passes test
Closed, ResolvedPublic

Description

C:\pwb\GIT\core>py -3 pwb.py site_detect_tests -v APIHiddenTestCase.test_ecoreality
tests: max_retries reduced from 15 to 1
test_ecoreality (__main__.APIHiddenTestCase)
Test detection of MediaWiki sites for www.EcoReality.org. ... WARNING: Http response status 500
unexpected success

----------------------------------------------------------------------
Ran 1 test in 0.714s

FAILED (unexpected successes=1)

C:\pwb\GIT\core>

Event Timeline

Xqt created this task.Apr 26 2020, 10:02 AM
Restricted Application added a project: Pywikibot. · View Herald TranscriptApr 26 2020, 10:02 AM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald Transcript
Xqt triaged this task as High priority.Apr 26 2020, 10:02 AM

Change 592481 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [tests] Remove expectedFailure from test_ecoreality

https://gerrit.wikimedia.org/r/592481

Dvorapa added a subscriber: Dvorapa.

ecoreality seems to have some issues. They seemed to be resolved when I asked their admin to resolve the issues, but they reoccur again. We should either contact the admin again or find another working wiki with unavailable api.php

Change 592481 abandoned by Xqt:
[tests] Remove expectedFailure from test_ecoreality

https://gerrit.wikimedia.org/r/592481

Xqt added a comment.Apr 26 2020, 11:57 AM

Anyway the usage of expectedFailure should be solved either

Ecoreality seems to work fine lately

Change 611372 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [tests] remove APIHiddenTestCase.test_ecoreality

https://gerrit.wikimedia.org/r/611372

Xqt lowered the priority of this task from High to Low.Jul 11 2020, 11:36 AM

Change 611372 abandoned by Xqt:
[pywikibot/core@master] [tests] remove APIHiddenTestCase.test_ecoreality

Reason:

https://gerrit.wikimedia.org/r/611372

Xqt closed this task as Resolved.Sep 28 2020, 10:22 AM
Xqt claimed this task.